import styled, { ThemeProvider } from "styled-components";
import { useTheme } from "./style/themes.tsx";

import About from "./sections/about.tsx";
import Tools from "./sections/tools.tsx";
import Links from "./sections/links.tsx";

const App: React.FC = () => {
  const { theme } = useTheme();

  return <ThemeProvider theme={theme}>
    <Container>
      <About />
      <Links />
      <Tools />
    </Container>
  </ThemeProvider>;
}

const Container = styled.div`
  min-width: 75%;
  transition: 0.2s background-color ease-in-out;
  background-color: ${({ theme }) => theme.primary};
  color: ${({ theme }) => theme.text};
  
  display: grid;
  text-align: center;
  place-content: center;
  padding: 1rem 0;

  @media (max-width: 768px) {
    padding: 1rem;
    height: unset;
  }
`;

export default App;